curl --request POST \
--url https://api.getprimo.com/tickets/{ticketId}/priority \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"priority": "LOW"
}
'{
"id": "<string>",
"reference": "<string>",
"title": "<string>",
"status": "PENDING",
"priority": "LOW",
"assignee": {
"type": "<string>",
"email": "<string>"
},
"dueDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"comments": [
{
"id": "<string>",
"text": "<string>",
"creator": {
"type": "<string>",
"employeeId": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z"
}
]
}Update the priority of an existing ticket.
curl --request POST \
--url https://api.getprimo.com/tickets/{ticketId}/priority \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"priority": "LOW"
}
'{
"id": "<string>",
"reference": "<string>",
"title": "<string>",
"status": "PENDING",
"priority": "LOW",
"assignee": {
"type": "<string>",
"email": "<string>"
},
"dueDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"comments": [
{
"id": "<string>",
"text": "<string>",
"creator": {
"type": "<string>",
"employeeId": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z"
}
]
}Use your Primo API key in the Authorization header as Bearer <API_KEY>.
LOW, MEDIUM, HIGH PENDING, IN_PROGRESS, COMPLETED, CANCELLED LOW, MEDIUM, HIGH Show child attributes
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Show child attributes
Was this page helpful?